﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS 724D, 754D (1 yr) VER IEEE /9500/600+4Hd
DATE:                  2017-02-13 08:43:19
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       263
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#        BNC T(f-m-f) adapter
#        SMA T(f-m-f) adapter
#        Cable, 50 Ohm, SMA(m)-(m), 20", two sets
#        3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#        2 sets SMA Short
#         BNC 90° female to male adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V

  1.012  MATH         @ReqMetCalVersion = "7.20x"
  1.013  CALL         Sub MET/CAL Version Check

  1.014  IF           NOT(@MetCalVersionOK)
  1.015  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.015  DISP         or later.
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub High Voltage Safety Warning
  1.020  CALL         Sub Select Failed Test Mode
  1.021  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  HEAD         UUT IDENTIFICATION
  1.024  TARGET
  1.025  CALL         Sub TDS500/600/700 Setup IEEE
  1.026  IEEE2        *RST;DESE 61
  1.027  WAIT         -t 4 System Initializing ...
  1.028  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.029  MATH         @UUT_AssetNum     = UUT()

  1.030  IF           NOT(EMPTY(@UUT_AssetNum))
  1.031  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.032  ENDIF

  1.033  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.034  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.035  IF           @Abort
  1.036  END
  1.037  ENDIF

  1.038  HEAD         EQUIPMENT REQUIREMENTS
  1.039  OPBR         -z Do you want to review the list of additional
  1.039  OPBR         equipment and/or accessories required?

  1.040  IF           MEM1
  1.041  DISP         The following additional equipment and/or accessories
  1.041  DISP         are required:
  1.041  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.041  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.041  DISP         - Cable, coaxial, BNC(m)-(m)
  1.041  DISP         - BNC T(f-m-f) adapter
  1.041  DISP         - SMA(f) to SMA(f), SMA(m) to BNC(f) adapter, 3 sets
  1.041  DISP         - SMA T(f-m-f) adapter
  1.041  DISP         - Cable, 50 Ohm, 20", SMA(m)-(m), 2 sets
  1.041  DISP         - SMA Short, 2 sets
  1.041  DISP         - BNC 90° female to male adapter
  1.041  DISP         - Dual Input Coupler (BNC)
  1.041  DISP         - 50 Ohm Feedthrough (BNC)
  1.042  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.043  CALL         Sub TDS700D Specifications
  1.044  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.045  JMPL         END                          @Abort
  1.046  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.047  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.048  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS700D (1 yr) DC Offset IEEE
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub TDS700D (1 yr) DC Offset IEEE
  1.053  MATH         @Chan = 3
  1.054  CALL         Sub TDS700D (1 yr) DC Offset IEEE
  1.055  MATH         @Chan = 4
  1.056  CALL         Sub TDS700D (1 yr) DC Offset IEEE

  1.057  MATH         @Chan = 1
  1.058  M9500                       CH1
  1.059  CALL         Sub TDS724D/754D/784D (1 yr) DCV Meas Acc IEEE /9500
  1.060  MATH         @Chan = 2
  1.061  M9500                       CH2
  1.062  CALL         Sub TDS724D/754D/784D (1 yr) DCV Meas Acc IEEE /9500
  1.063  MATH         @Chan = 3
  1.064  M9500                       CH3
  1.065  CALL         Sub TDS724D/754D/784D (1 yr) DCV Meas Acc IEEE /9500
  1.066  MATH         @Chan = 4
  1.067  M9500                       CH4
  1.068  CALL         Sub TDS724D/754D/784D (1 yr) DCV Meas Acc IEEE /9500

  1.069  MATH         @Chan = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9500/600
  1.072  MATH         @Chan = 2
  1.073  M9500                       CH2
  1.074  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9500/600
  1.075  MATH         @Chan = 3
  1.076  M9500                       CH3
  1.077  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9500/600
  1.078  MATH         @Chan = 4
  1.079  M9500                       CH4
  1.080  CALL         Sub TDS700D (1 yr) Bandwidth IEEE /9500/600
  1.081  JMPL         TIMEBASE_TRIGGER

  1.082  LABEL        DELAY_MATCH
  1.083  MATH         @Chan = 1
  1.084  M9500                       CH1
  1.085  CALL         Sub TDS700D (1 yr) Delay Match IEEE /9500
  1.086  JMPL         OUTPUT_SIGNAL

  1.087  LABEL        TIMEBASE_TRIGGER
  1.088  MATH         @Chan = 1
  1.089  M9500                       CH1
  1.090  CALL         Sub TDS700D (1 yr) Time Base IEEE /9500
  1.091  JMPL         TRIG_TIME_ACC

  1.092  LABEL        DELTA_TIME
  1.093  MATH         @Chan = 1
  1.094  M9500                       CH1
  1.095  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9500
  1.096  MATH         @Chan = 2
  1.097  M9500                       CH1
  1.098  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9500
  1.099  MATH         @Chan = 3
  1.100  M9500                       CH1
  1.101  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9500
  1.102  MATH         @Chan = 4
  1.103  M9500                       CH1
  1.104  CALL         Sub TDS700D (1 yr) Delta Time IEEE /9500
  1.105  JMPL         END

  1.106  LABEL        TRIG_TIME_ACC
  1.107  CALL         Sub TDS700D (1 yr) Trig Time Acc IEEE /9500

  1.108  MATH         @Chan = 1
  1.109  M9500                       CH1
  1.110  CALL         Sub TDS700D (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.111  OPBR         -z Each channel trig sensitivity test will take about
  1.111  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.111  OPBR         channels to save time, unless desired.
  1.111  OPBR
  1.111  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.111  OPBR         3, and 4?
  1.112  MATH         @TestCh234Sens = MEM1
  1.113  JMPL         MAIN_TRIG_SENS_CH2

  1.114  LABEL        AUX_TRIG_IN

  1.115  IF           @AuxTrigIn
  1.116  MATH         @Chan = 1
  1.117  M9500                       CH14
  1.118  CALL         Sub TDS700D (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.119  ENDIF

  1.120  JMPL         DELAY_MATCH

  1.121  LABEL        MAIN_TRIG_SENS_CH2

  1.122  IF           @TestCh234Sens
  1.123  MATH         Time = 3 * @OptChSensTime
  1.124  DISP         The next routine operator intervention occurs
  1.124  DISP         in approximately [V Time] minutes...
  1.125  MATH         @Chan = 2
  1.126  M9500                       CH2
  1.127  CALL         Sub TDS700D (1 yr) Sens IEEE /9500/600
  1.128  MATH         @Chan = 3
  1.129  M9500                       CH3
  1.130  CALL         Sub TDS700D (1 yr) Sens IEEE /9500/600
  1.131  MATH         @Chan = 4
  1.132  M9500                       CH4
  1.133  CALL         Sub TDS700D (1 yr) Sens IEEE /9500/600
  1.134  ENDIF

  1.135  JMPL         AUX_TRIG_IN

  1.136  LABEL        OUTPUT_SIGNAL
  1.137  M9500                       CH1
  1.138  CALL         Sub TDS724D/754D/784D (1 yr) Output Signal IEEE /9500
  1.139  M9500                       CH1
  1.140  CALL         Sub TDS700D (1 yr) Probe Comp IEEE /9500
  1.141  JMPL         DELTA_TIME

  1.142  LABEL        END
  1.143  IEEE2        *RST;DESE 61

  1.144  IF           @Abort
  1.145  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.146  ENDIF

  1.147  END
